be.ehealth.businessconnector.mycarenet.attestv2.session.impl

## Class AttestServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.attestv2.session.impl.AttestServiceImpl

- All Implemented Interfaces:
    AttestService

      public class AttestServiceImpl
      extends Object
      implements AttestService

  A simplified interface to access the eAttest v2 service Implements : `AttestService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttestServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Instantiates a new eAttest service impl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelAttestationResponse` | `cancelAttestation(SendRequestType request)` Cancel the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
    `SendAttestationResponse` | `sendAttestation(SendRequestType request)` Sends the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttestServiceImpl

          public AttestServiceImpl(SessionValidator sessionValidator,
                                   EhealthReplyValidator replyValidator)
                            throws TechnicalConnectorException

      Instantiates a new eAttest service impl.
      Parameters:
        `sessionValidator` - the sessionValidator
        `replyValidator` - the replyValidator
      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### sendAttestation

          public SendAttestationResponse sendAttestation(SendRequestType request)
                                                  throws AttestBusinessConnectorException,
                                                         TechnicalConnectorException

      Description copied from interface: `AttestService`
      Sends the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
      Specified by:
        `sendAttestation` in interface `AttestService`
      Parameters:
        `request` - the consultation asserter
      Returns:
        the WS response
      Throws:
        `AttestBusinessConnectorException`
        `TechnicalConnectorException`

    - #### cancelAttestation

          public CancelAttestationResponse cancelAttestation(SendRequestType request)
                                                      throws AttestBusinessConnectorException,
                                                             TechnicalConnectorException

      Description copied from interface: `AttestService`
      Cancel the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
      Specified by:
        `cancelAttestation` in interface `AttestService`
      Parameters:
        `request` - the consultation asserter
      Returns:
        the WS response
      Throws:
        `AttestBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging generic 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.